clear all;
load ('matlab_second.mat');
load ('results_second.mat');
delta = meanval(theta2);
mvalold=exp(delta);
theta2w=full(sparse(theti, thetj, theta2));
load demogr_avg;
dfull_avg=demogr_avg(cdid,:);

%% PREDICTED SHARES FROM ESTIMATED MODEL

%load results and run end of estimation file (after 2nd step) before this

expmu = exp(mufunc(x2,theta2w));
share = mktsh(mvalold,expmu); % predicted market shares, equal to s_jt except for computational error e-08
sharei= ind_sh(mvalold,expmu); % predicted individual shares
id=formatlab(:,1:3);
csvwrite('shares.dat',[id share dfull_avg sharei]);

a1=dfull(:,1:3:end);
a2=dfull(:,2:3:end);
a3=dfull(:,3:3:end);
csvwrite('dfull_rearranged.dat',[id a1 a2 a3]);
clear a1 a2 a3;

%% choose which counterfactual to run

%% No-NOTA COUNTERFACTUAL

%remove Nota observations from data
nota = formatlab(:,i_nota)==1;

% x2(nota,:)=[]; %delete elements from x2 corresponding to nota
cdid_orig=cdid;
cdindex_orig=cdindex;
cdid(nota,:)=[];
cdindex = cdindex-cumsum((formatlab2(:,i_year)==1).*(formatlab2(:,4)~=9)); %one fewer candidate in each affected ac
mvaloldc=mvalold;
mvaloldc(nota,:)=[];

%predict new shares
expmuc=expmu;
expmuc(nota,:)=[];
sharec = mktsh(mvaloldc,expmuc); % counterfactual shares
shareci = ind_sh(mvaloldc,expmuc); % counterfactual shares

id(nota,:)=[];
csvwrite('sharesc.dat',[id sharec shareci]);

%% COMPULSORY VOTING COUNTERFACTUAL

%remove abstention: each individual's shares must sum to 1
sum1=ones(size(cdindex,1),1);
shareci=sharei;
for i=1:ns
sum1=accumarray(cdid,sharei(:,i));
shareci(:,i)=sharei(:,i)./sum1(cdid,:);
end

sharec=mean(shareci,2);

csvwrite('sharesc_compulsory.dat',[id sharec shareci]);


