
use "jeea reducedform.dta", clear

global BASIC "ltotel ltotel c.ltotel#c.ltotel notinlf_state wage_state ed1_state ed2_state i.year if national!=1"
global EXTENDED "ltotel ltotel c.ltotel#c.ltotel notinlf_state unemp_state wage_state ed1_state ed2_state ac1 stgdpgr sex_state urban_state i.year if national!=1"

* Table 2

xtset idpanel
xi: xtreg pollppercent treatment2 $BASIC & samplegis==1 , fe cluster(id)
boottest treatment2, nogr weight(webb)

xtset id
xi: xtreg pollppercent treatment2 $BASIC, fe cluster(id)
boottest treatment2, nogr weight(webb)

xi: xtreg pollppercent treatment2 $EXTENDED, fe cluster(id)
boottest treatment2, nogr weight(webb)

* Table 3

gen treatment2_national=treatment2*national

xi: xtreg pollppercent treatment2 treatment2_national $BASIC | national==1, fe cluster(id)  
xi: xtreg pollppercent treatment2 treatment2_national $EXTENDED | national==1, fe cluster(id)  
xi: xtreg pollppercent treatment2 treatment2_national $BASIC | (national==1 & st_name!="Andhra Pradesh"), fe cluster(id)  
xi: xtreg pollppercent treatment2 treatment2_national $EXTENDED | (national==1 & st_name!="Andhra Pradesh"), fe cluster(id)  
xi: xtreg pollppercent treatment2 $BASIC & year<2014 & year!=2009, fe cluster(id)  
xi: xtreg pollppercent treatment2 $EXTENDED & year<2014 & year!=2009, fe cluster(id)

* Table 4

xi: xtreg candnumber treatment2 $BASIC, fe cluster(id)  
xi: xtreg candnumber treatment2 $EXTENDED, fe cluster(id)
xi: xtreg candnumber_eff treatment2 $BASIC, fe cluster(id)  
xi: xtreg candnumber_eff treatment2 $EXTENDED, fe cluster(id)
xi: xtreg candnumber3 treatment2 $BASIC, fe cluster(id)  
xi: xtreg candnumber3 treatment2 $EXTENDED, fe cluster(id)


* Table B.2

tabstat totel0 pollppercent notashare notashareall ac0 inlaborforce unemp_state wage_state ed1_state ed2_state sex_state urban_state stgdpgr weekend rainfall_day stationdensity redistr_max redistr_h if national!=1, stat(n mean sd p10 p90) c(s)

* Table B.4

set seed 438826
foreach v in totel pollppercent wmargins3 ac0 {
mean `v' if samplegis==1 & year==2008, vce(cluster st_name)
mean `v' if samplegis==0 & sample==1 & year==2008, vce(cluster st_name)
reg `v' samplegis if year==2008 & sample==1, vce(bootstrap, cl(st_name) reps(100))
}

* Table C.1

xi: reg notashare i.actype literate ltotel male sch_cast sch_trib i.st_name work_rural if sample==1, r
xi: reg notashare i.actype literate ltotel male sch_cast sch_trib latrine_no water_nearprem water_onprem ///
   workers work_rural assets_car assets_computerwi assets_phone assets_tv i.st_name if sample==1, r
xi: reg notashare candnumber candfemale1 candfemale2 candage_med candcast1 candcast2 candtrib1 candtrib2 i.actype literate ltotel male sch_cast sch_trib work_rural i.st_name if sample==1 , r
xi: reg notashare candnumber candfemale1 candfemale2 candage_med candcast1 candcast2 candtrib1 candtrib2 i.actype literate ltotel male sch_cast sch_trib i.st_name ///
 latrine_no water_nearprem water_onprem workers work_rural assets_car assets_computerwi assets_phone assets_tv i.st_name if sample==1 , r

* Table C.2

gen ac0sch_all=ac0*sch_all
xi: reg notashare ac0 ac0sch_all sch_all literate ltotel male i.st_name work_rural if sample==1, r
xi: reg notashare ac0 ac0sch_all sch_all literate ltotel male latrine_no water_nearprem water_onprem ///
   workers work_rural assets_car assets_computerwi assets_phone assets_tv i.st_name if sample==1 , r
xi: reg notashare candnumber candfemale1 candfemale2 candage_med candcast1 candcast2 candtrib1 candtrib2 ac0 literate ltotel male sch_all ac0sch_all work_rural i.st_name if sample==1 , r

* Table C.4

tabstat totel0 pollppercent wmargins3 ac0 acnumber_gis inlaborforce unemp_state wage_state ed1_state ed2_state sex_state urban_state stgdpgr if samplegis==1 & year<=2009, by(st_name) stat(mean) nototal

egen tag=tag(st_name) if year<=2009 & samplegis==1
foreach v in acnumber_gis inlaborforce unemp_state wage_state ed1_state ed2_state sex_state urban_state stgdpgr {
reg `v' treatment2state if tag==1, r
}
sum acnumber_gis inlaborforce unemp_state wage_state ed1_state ed2_state sex_state urban_state stgdpgr if tag==1 & treatment2state==1

set seed 8523
foreach v in totel pollppercent wmargins3 ac0 {
reg `v' treatment2state if year<=2009 & samplegis==1, vce(bootstrap, cl(st_name) reps(100))
}
sum totel pollppercent wmargins3 ac0 if year<=2009 & samplegis==1 & treatment2state==1

* Table C.5

drop tag
egen tag=tag(st_name) if year<=2009

foreach v in acnumber inlaborforce unemp_state wage_state ed1_state ed2_state sex_state urban_state stgdpgr {
mean `v' if treatment2state==0 & tag==1
mean `v' if treatment2state==1 & tag==1
reg `v' treatment2state if tag==1, r
}

foreach v in totel pollppercent wmargins3 ac0 {
mean `v' if treatment2state==0 & year<=2009, vce(cluster st_name)
mean `v' if treatment2state==1 & year<=2009, vce(cluster st_name)
reg `v' treatment2state if year<=2009, cluster(st_name)
}

* Table C.6

drop tag
egen tag=tag(st_name) if year<=2009 & (samplegis!=0 | sample!=1)

foreach v in acnumber inlaborforce unemp_state wage_state ed1_state ed2_state sex_state urban_state stgdpgr {
mean `v' if samplegis==1 & tag==1
mean `v' if samplegis==0 & tag==1
reg `v' samplegis if tag==1, r
}

foreach v in totel pollppercent wmargins3 ac0 {
mean `v' if sample==1 & year<=2009, vce(cluster st_name)
mean `v' if sample==0 & year<=2009, vce(cluster st_name)
reg `v' sample if year<=2009, cluster(st_name)
}

* Appendix Section C.3.1 (Randomization inference)

gen eleperiod01=0
replace eleperiod01=1 if year>=2011
label var eleperiod01 "0 if first election, 1 if second election in state in sample period"

*The files list_for_ri all/5/10/20 contain the permutation samples. To get reported p-values, rename relevant file to list_for_ri and run:
ritest treatment2 _b[treatment2]/_se[treatment2], samplingsourcefile(list_for_ri) samplingmatchvar(id eleperiod01) reps(1000) right: reg pollppercent treatment2 ltotel ltotelsq notinlf_state wage_state ed1_state ed2_state i.year i.id if national!=1, cluster(id)
ritest treatment2 _b[treatment2]/_se[treatment2], samplingsourcefile(list_for_ri) samplingmatchvar(id eleperiod01) reps(1000): reg pollppercent treatment2 ltotel ltotelsq notinlf_state wage_state ed1_state ed2_state i.year i.id if national!=1, cluster(id)

* Table C.7

gen sveep=0
replace sveep=1 if year>2009
replace sveep=1 if year==2009 & st_name=="Jharkhand"

xi: xtreg pollppercent treatment2 sveep $BASIC, fe cluster(id)
xi: xtreg pollppercent treatment2 sveep $EXTENDED, fe cluster(id)

merge m:1 st_code using "sveep.dta"
drop _merge
replace sveep_pn=0 if sveep==0
replace sveep_pn=. if national==1
egen t=tag(st_name) if sveep==1 & national!=1 
bysort st_name year: egen acnumber_st=count(ac_no)
label var acnumber_st "number of ac's in state"
gen sveep_pn2=sveep_pn/acnumber_st
label var sveep_pn2 "sveep_pn/number of ac's in state"
sum sveep_pn2 if t==1, det
gen sveep_pnd2=0
replace sveep_pnd2=1 if sveep==1 & sveep_pn2>0.287
label var sveep_pnd2 "1 if above-median sveep_pn2"

merge m:1 st_name ac_no using "turnout2009.dta"
drop _merge
replace turnout2009=0 if sveep==0
drop t
egen t=tag(st_name pc_no year)
gen x=turnout2009 if t==1 & sveep==1
bysort st_name year: egen y=mean(x) // average turnout in state
gen turnout2009_1 = turnout2009/y
replace turnout2009_1=0 if sveep==0
label var turnout2009_1 "turnout2009/state average"
drop x y t

xi: xtreg pollppercent treatment2 sveep sveep_pn2 $BASIC, fe cluster(id)
xi: xtreg pollppercent treatment2 sveep sveep_pn2 $EXTENDED, fe cluster(id)
xi: xtreg pollppercent treatment2 sveep sveep_pnd2 $BASIC, fe cluster(id)
xi: xtreg pollppercent treatment2 sveep sveep_pnd2 $EXTENDED, fe cluster(id)
xi: xtreg pollppercent treatment2 turnout2009_1 sveep $BASIC, fe cluster(id)
xi: xtreg pollppercent treatment2 turnout2009_1 sveep $EXTENDED, fe cluster(id)

* Table C.8

xi: xtreg pollppercent treatment2 $BASIC & redistr_max!=., fe cluster(id)  
xi: xtreg pollppercent treatment2 $EXTENDED & redistr_max!=., fe cluster(id)
xi: xtreg pollppercent treatment2 redistr_max $BASIC, fe cluster(id)  
xi: xtreg pollppercent treatment2 redistr_max $EXTENDED, fe cluster(id)
xi: xtreg pollppercent treatment2 redistr_h $BASIC, fe cluster(id)  
xi: xtreg pollppercent treatment2 redistr_h $EXTENDED, fe cluster(id)

* Table C.9

*chhattisgarh terrorist attacks 2010, 2013
xi: xtreg pollppercent treatment2 $BASIC & st_code!="S26", fe cluster(id)
xi: xtreg pollppercent treatment2 $EXTENDED & st_code!="S26", fe cluster(id)
*mumbai (maharashtra) terrorist attacks Nov 2008
xi: xtreg pollppercent treatment2 $BASIC & st_code!="S13", fe cluster(id)
xi: xtreg pollppercent treatment2 $EXTENDED & st_code!="S13", fe cluster(id)
*new anti-corruption AAP party in Delhi mobilizes voters
xi: xtreg pollppercent treatment2 $BASIC & st_code!="U05", fe cluster(id)
xi: xtreg pollppercent treatment2 $EXTENDED & st_code!="U05", fe cluster(id)
*jammu and kashmir: pakistani/chinese occupation
xi: xtreg pollppercent treatment2 $BASIC & st_code!="S09", fe cluster(id)
xi: xtreg pollppercent treatment2 $EXTENDED & st_code!="S09", fe cluster(id)
*all 4
xi: xtreg pollppercent treatment2 $BASIC & st_code!="S09" & st_code!="U05" & st_code!="S13" & st_code!="S26", fe cluster(id)
xi: xtreg pollppercent treatment2 $EXTENDED & st_code!="S09" & st_code!="U05" & st_code!="S13" & st_code!="S26", fe cluster(id)


* Table C.10

foreach s in S03 S05 S06 S07 S08 S09 S10 S11 S12 S13 S14 S15 S16 S17 S19 S20 S22 S23 S24 S25 S26 S27 S28 U05 U07 {
xi: xtreg pollppercent treatment2 $BASIC & st_code!="`s'", fe cluster(id)
}

* Table C.11

xi: xtreg pollppercent treatment2 weekend $BASIC, fe cluster(id)  
xi: xtreg pollppercent treatment2 weekend $EXTENDED, fe cluster(id)
xi: xtreg pollppercent treatment2 rainfall_day $BASIC, fe cluster(id)  
xi: xtreg pollppercent treatment2 rainfall_day $EXTENDED , fe cluster(id)
xi: xtreg pollppercent treatment2 weekend rainfall_day $BASIC, fe cluster(id)  
xi: xtreg pollppercent treatment2 weekend rainfall_day $EXTENDED , fe cluster(id)
xi: xtreg pollppercent treatment2 stationdensity $BASIC, fe cluster(id)  
xi: xtreg pollppercent treatment2 stationdensity $EXTENDED , fe cluster(id)
gen stationdensity2=1/stationdensity/100
xi: xtreg pollppercent treatment2 stationdensity2 $BASIC, fe cluster(id)  
xi: xtreg pollppercent treatment2 stationdensity2 $EXTENDED, fe cluster(id)

* Table C.13

xi: xtreg ltotel treatment2 notinlf_state wage_state  ed1_state ed2_state i.year if national!=1, fe cluster(id)  
xi: xtreg ltotel treatment2 notinlf_state unemp_state wage_state ed1_state ed2_state ac1 stgdpgr sex_state urban_state i.year if national!=1, fe cluster(id)

* Table C.14

xi: xtreg wmargins3 treatment2 $BASIC, fe cluster(id)  
xi: xtreg wmargins3 treatment2 $EXTENDED, fe cluster(id)
xi: xtreg wmargins2 treatment2 $BASIC, fe cluster(id)  
xi: xtreg wmargins2 treatment2 $EXTENDED, fe cluster(id)
xi: xtreg wmargins4 treatment2 $BASIC, fe cluster(id)  
xi: xtreg wmargins4 treatment2 $EXTENDED, fe cluster(id)

* Table C.12

/* need to merge in info on candidates displayed last & before-last on evm:
merge 1:m st_code ac_no year using "lastcandidate.dta"
*/
xi: xtreg vshares treatment2 $BASIC & rank==1, fe cluster(id)  
xi: xtreg vshares treatment2 $EXTENDED & rank==1, fe cluster(id)
xi: xtreg dif4 treatment2 $BASIC & rank==2, fe cluster(id)  
xi: xtreg dif4 treatment2 $EXTENDED & rank==2, fe cluster(id)

