function f = ind_sh(expmval,expmu)
% This function computes the individual probabilities of choosing each candidate

%expmval is exp(delta), expmu is exp(mu), each has ns individuals for each candidate

global ns cdindex cdid
eg = expmu.*kron(ones(1,ns),expmval); % exp(mu+delta) for each individual (ncandidate*ns)

% % Typical implementation is: 
%temp = cumsum(eg); % cumulative sum across candidates
%sum1 = temp(cdindex,:); %get cumulative sum separately for each market
%sum1(2:size(sum1,1),:) = diff(sum1); % sums within market across candidates

% % This can give rise to a Scaling problem:
% sum1g=sum1;
% sum1g(2:size(sum1,1),:) = diff(sum1);
% ger2=[formatlab2(:,1:3) cdindex sum1(:,24) sum1g(:,24)]; % display this
% %sum1g differences consecutive values in sum1, but these range from 10-4 to 10+16

%to avoid this issue:
sum1=ones(size(cdindex,1),ns);
for i=1:ns
sum1(:,i)=accumarray(cdid,eg(:,i));
end

denom1 = 1./(1+sum1);
denom = denom1(cdid,:); % assign the denominator to each candidate
f = eg.*denom;
