function f = meanval(theta2)
% This function computes the mean utility level

global theti thetj x2 s_jt
load mvalold % this is the predicted exp(delta). When first run, it is from the Logit estimation.

if max(abs(theta2-oldt2)) < 0.01;
	tol = 1e-12;
	flag = 0;
else   
    tol = 1e-9;
	flag = 1;
end

theta2w = full(sparse(theti,thetj,theta2));
expmu = exp(mufunc(x2,theta2w));

i = 0;
mval=mvalold;
relshare=s_jt./mktsh(mvalold,expmu);
nobs=size(x2,1);
while max(abs(relshare-ones(nobs,1))) > tol*10^(flag*floor(i/50))
	 mval = mvalold.*relshare;  % bottom eqn, p4 of Nevo's NittyGritty. Use the Logit estimate from mvalold as starting value
     mvalold = mval;
     i = i + 1;
     relshare=s_jt./mktsh(mvalold,expmu);
end
disp(['# of iterations for delta convergence:  ' num2str(i)])

if max(isnan(mval)) < 1;
   mvalold = mval;
   oldt2 = theta2;
   save mvalold mvalold oldt2
end   
f = log(mval);
